<?php
/**
 * @package Titan Team
 * @version 1.0
 */
/*
Plugin Name: FormTitan Plugin
Plugin URI: https://wordpress.org/plugins/formtitan
Description: Easily create powerful forms with the Titan Improve your conversions with our innovative CRO engine.
Author: Titan Team
Version: 1.0
Author URI: http://developer.formtitan.com
*/

/*
Copyright 2016  Titan Team  (email: developer@formtitan.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

define( 'FORMTITAN_VERSION', '0.1' );
define( 'FORMTITAN__MINIMUM_WP_VERSION', '3.2' );
define( 'FORMTITAN__PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'FORMTITAN_DELETE_LIMIT', 100000 );


add_action( 'init', array( 'FormTitan', 'init' ) );


if ( is_admin() ) {
	require_once( FORMTITAN__PLUGIN_DIR . 'class.FormTitan.php' );
	add_action( 'init', array( 'FormTitan', 'init' ) );
}
